Bug 807738 - DAEMON_LIST should not be needs_restart
DAEMON_LIST should not be needs_restart
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: condor-wallaby-base-db (Show other bugs)
2.0
Unspecified Unspecified
medium Severity unspecified
: 2.2
: ---
Assigned To: Robert Rati
Daniel Horák
:
Depends On:
Blocks: 828434
  Show dependency treegraph
 
Reported: 2012-03-28 11:17 EDT by Robert Rati
Modified: 2012-09-19 14:03 EDT (History)
4 users (show)

See Also:
Fixed In Version: condor-wallaby-base-db-1.20-1
Doc Type: Bug Fix
Doc Text:
C: The DAEMON_LIST parameter was marked as needing a restart for changes to take affect in the remote configuration database C: If the DAEMON_LIST parameter value changed then all MRG Grid daemons would be restarted causing a disruption in service F: The DAEMON_LIST parameter is no longer marked as needed a restart for changes to take affect R: Changes to DAEMON_LIST will not result in all daemons on the node restarting
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-19 13:43:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Rati 2012-03-28 11:17:04 EDT
Description of problem:
The DAEMON_LIST parameter in the base-db does not need to be restarted for changes to take affect.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Robert Rati 2012-03-28 15:54:21 EDT
Changed DAEMON_LIST to no longer require a restart.

Updated on master.
Comment 3 Robert Rati 2012-04-02 09:53:30 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
C: The DAEMON_LIST parameter was marked as needing a restart for changes to take affect in the remote configuration database
C: If the DAEMON_LIST parameter value changed then all MRG Grid daemons would be restarted causing a disruption in service
F: The DAEMON_LIST parameter is no longer marked as needed a restart for changes to take affect
R: Changes to DAEMON_LIST will not result in all daemons on the node restarting
Comment 5 Daniel Horák 2012-06-11 10:08:36 EDT
Reproduced on RHEL 5.8 i386:

# rpm -q condor-wallaby-base-db
  condor-wallaby-base-db-1.19-1.el5.noarch

# condor_configure_store --list --params DAEMON_LIST
  Parameter "DAEMON_LIST":
  Name: DAEMON_LIST
  Type: String
  Default: 
  Description: The daemons the condor_master will start and monitor
  MustChange: True
  VisibilityLevel: 0
  RequiresRestart: True
  Dependencies:
  Conflicts:


Verified on: RHEL 5.8, 6.3 - i386, x86_64:
# rpm -q condor-wallaby-base-db
  condor-wallaby-base-db-1.22-4.el5.noarch

# condor_configure_store --list --params DAEMON_LIST
  Parameter "DAEMON_LIST":
  Name: DAEMON_LIST
  Type: String
  Default: 
  Description: The daemons the condor_master will start and monitor
  MustChange: True
  VisibilityLevel: 0
  RequiresRestart: False
  Dependencies:
  Conflicts:

# cat /var/lib/condor-wallaby-base-db/condor-base-db.snapshot
  . . .
  - !ruby/object:Mrg::Grid::SerializedConfigs::Parameter
    conflicts: []

    default_val: ""
    depends: []

    description: The daemons the condor_master will start and monitor
    kind: String
    level: 0
    must_change: true
    name: DAEMON_LIST
    needs_restart: false
  . . .

For parameter DAEMON_LIST is RequiresRestart (needs_restart in database snapshot) set to False.

>>> VERIFIED
Comment 7 errata-xmlrpc 2012-09-19 13:43:15 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1278.html

Note You need to log in before you can comment on or make changes to this bug.